headline: Download jq
body:

  - text: |

      jq is written in C and has no runtime dependencies, so it should be
      possible to build it for nearly any platform. Prebuilt binaries are
      available for Linux, OS X and Windows.

      The binaries should just run, but on OS X and Linux you may need
      to make them executable first using `chmod +x jq`.

      jq is licensed under the MIT license. For all of the gory
      details, read the file `COPYING` in the source distribution.


      ### Linux
      
       * jq 1.4 binaries for [64-bit](linux64/jq) or [32-bit](linux32/jq) systems.
       * jq 1.3 binaries for [64-bit](linux64/jq-1.3/jq) or [32-bit](linux32/jq-1.3/jq) systems.

       * For Arch users, a PKGBUILD for jq-1.1 is in the
         [AUR](https://aur.archlinux.org/packages.php?ID=63849), as
         well as a PKGBUILD for the HEAD of master
         ([jq-git](https://aur.archlinux.org/packages.php?ID=63850)).
         You can install them using
         [Yaourt](https://wiki.archlinux.org/index.php/Yaourt) or
         manually by following instructions on [Arch Linux's
         Wiki](https://wiki.archlinux.org/index.php/Arch_UseRepository).

       * jq 1.4 is in the official [Debian](https://packages.debian.org/jq) and
         [Ubuntu](http://packages.ubuntu.com/jq) repositories. Install using
         `sudo apt-get install jq`.

       * jq 1.4 is [in Debian](http://packages.debian.org/jq)

       * jq 1.3.2 is in the official Fedora repository. You can install using
         `sudo yum install jq`.

      ### OS X

       * `brew install jq` using [homebrew](http://mxcl.github.com/homebrew/)

       * Or, grab prebuilt jq 1.4 [64-bit binaries](osx64/jq) or [32-bit
         binaries](osx32/jq)

       * Or, grab prebuilt jq 1.3 [64-bit binaries](osx64/jq-1.3/jq) or [32-bit
         binaries](osx32/jq-1.3/jq)

      ### Solaris

       * `pkgutil -i jq` in [OpenCSW](http://www.opencsw.org/p/jq) for Solaris 10+, Sparc and x86

       * jq 1.4 executables for Solaris 11 [64-bit](solaris11-64/jq) or [32-bit](solaris11-32/jq)

      ### Windows

       * `chocolatey install jq` using [Chocolatey NuGet](https://chocolatey.org/)

       * jq 1.4 executables for [64-bit](win64/jq.exe) or [32-bit](win32/jq.exe)

       * jq 1.3 executables for [64-bit](win64/jq-1.3/jq-1.3.exe) or [32-bit](win32/jq-1.3/jq-1.3.exe)

      ### From source on Linux, OS X, Cygwin, and other POSIX-like operating systems

       * [Source tarball for jq 1.4](source/jq-1.4.tar.gz)

      You can build it using the usual `./configure && make && sudo
      make install` rigmarole.

      If you're interested in using the lastest development version, try:

          git clone https://github.com/stedolan/jq.git
          cd jq
          autoreconf -i
          ./configure
          make
          sudo make install

      To build it from a git clone, you'll need to install a few
      packages first:

       * [Flex](http://flex.sourceforge.net/)
       * [Bison](https://www.gnu.org/software/bison/)
       * [GCC](https://gcc.gnu.org)
       * [Make](https://www.gnu.org/software/make/)
       * [Autotools](https://www.gnu.org/software/automake/)

      For Linux systems, these will all be in your system's package
      manager, and if you do development on the machine they're most
      likely already installed.

      On OS X, these are all included in Apple's command line tools, which can
      be installed from [Xcode](https://developer.apple.com/xcode/). However,
      you may find that you need a newer version of Bison than the one provided
      by Apple. This can be found in [Homebrew](http://brew.sh) or
      [MacPorts](https://macports.org/).

      `flex` and `bison` are used to generate the lexer and parser for
      jq. For jq 1.5, neither is required if you use `./configure
      --disable-maintainer-mode` instead of `./configure`. This flag says to use
      the pre-generated lexer and parser that come with the code.
   
      #### Building the documentation

      jq's documentation is compiled into static HTML using
      [Bonsai](http://www.tinytree.info).  To view the documentation
      locally, run `rake serve` (or `bundle exec rake serve`) from the
      docs/ subdirectory.  To build the docs just `rake build` from the
      docs subdirectory.  You'll need a few Ruby dependencies, which can
      be installed by following the instructions in `docs/README.md`.

      The man page is built by `make jq.1`, or just `make`, also from
      the YAML docs, and you'll still need the Ruby dependencies to
      build the manpage.


